/*-------------------------------------------------------------------------+
| Copyright 2011 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.editpart;

import org.fortiss.tooling.base.model.base.ExitConnectorBase;
import org.fortiss.tooling.base.model.element.IConnector;
import org.fortiss.tooling.base.model.layout.ILayoutedModelElement;
import org.fortiss.tooling.kernel.model.INamedCommentedElement;

/**
 * Abstract base implementation of free connector edit parts. Usually, the
 * connector can be moved freely in the diagram, e.g., a connector moving freely
 * on the background area of its parent element when the internal structure of
 * the parent is displayed.
 * 
 */
public abstract class FreeConnectorEditPartBase<T extends ILayoutedModelElement & IConnector & INamedCommentedElement>
		extends ConnectorEditPartBase<T> {

	/** Constructor. */
	protected FreeConnectorEditPartBase(T modelElement) {
		super(modelElement);
	}

	/** {@inheritDoc} */
	@Override
	protected boolean isTarget() {
		// logic is reversed for free ports.
		return getModel() instanceof ExitConnectorBase;
	}
}
