/*-------------------------------------------------------------------------+
| Copyright 2016 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.service.listener;

import org.fortiss.tooling.kernel.extension.ITutorialProvider;
import org.fortiss.tooling.kernel.extension.data.TutorialAtomicStep;
import org.fortiss.tooling.kernel.service.ITutorialService;

/**
 * Listener interface for the {@link ITutorialService}, which is used to inform the GUI (and any
 * other interested party) about changes of the current state of the tutorial sub-system.
 *
 * @author hoelzl
 */
public interface ITutorialServiceListener {
	/** Fired when the given tutorial is started. */
	void tutorialStarted(ITutorialProvider provider);

	/** Fired when the tutorial step changed to the given step. */
	void tutorialStepChanged(TutorialAtomicStep step);

	/** Fired when the given tutorial is stopped. */
	void tutorialStopped(ITutorialProvider provider);
}
