/*******************************************************************************
 * Copyright (c) 2011, 2018 fortiss GmbH.
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.internal.kernel.common;

import org.eclipse.core.runtime.Plugin;
import org.osgi.framework.BundleContext;

/** Activator class for the tooling kernel common plugin. */
public final class TK2CommonActivator extends Plugin {
	/** The plug-in ID. */
	public static final String PLUGIN_ID = TK2CommonActivator.class.getPackage().getName();

	/** The shared instance. */
	private static TK2CommonActivator plugin;

	/** {@inheritDoc} */
	@Override
	public void start(BundleContext context) throws Exception {
		super.start(context);
		plugin = this;
		System.out.println("[Plugin] " + PLUGIN_ID + " started.");
	}

	/** {@inheritDoc} */
	@Override
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

	/** Returns the shared instance. */
	public static TK2CommonActivator getDefault() {
		return plugin;
	}
}
