/*******************************************************************************
 * Copyright (c) 2018 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef;

/** Enumeration of gestures provided when the mouse is dragged at certain locations of visuals. */
public enum EDragGesture {
	/** No dragging initiated. */
	NONE,
	/** Move gesture for diagram content and anchorage visuals. */
	MOVE,
	/** Resize vertically gesture. */
	RESIZE_V,
	/** Resize horizontally gesture. */
	RESIZE_H,
	/** Resize vertical and horizontal gesture. */
	RESIZE_VH,
	/** Create a link gesture. */
	NEW_LINK,
	/** Moves the start or end point of a link. */
	RECONNECT_LINK,
	/** Create a bend point gesture. */
	NEW_BENDPOINT,
	/** Move drag gesture for an existing bend point. */
	MOVE_BENDPOINT,
	/** Selection drag gesture. */
	SELECTION;
}
