/*******************************************************************************
 * Copyright (c) 2016, 2018 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.controller.rectangular;

import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.controller.IDragController;
import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.controller.base.AnchorageContentControllerBase;
import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.mvc.IContentAnchorageMVCBundle;
import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.mvc.IContentMVCBundle;

import javafx.geometry.Side;

/** Base class for controllers with content visuals represented by rectangles. */
public abstract class RectangularResizableContentControllerBase
		extends AnchorageContentControllerBase {
	/** Constructor. */
	public RectangularResizableContentControllerBase(IContentMVCBundle mvcb) {
		super(mvcb);
	}

	/** {@inheritDoc} */
	@Override
	protected IDragController createAnchorageMoveController(IContentAnchorageMVCBundle anchorage) {
		return new RectangularContentAnchorageMoveController(this, anchorage);
	}

	/** Sets the side and offset of the given anchorage when move operation has completed. */
	protected abstract void moveAnchorageToSideOffset(IContentAnchorageMVCBundle anchorage,
			Side side, double offset);
}
