/*******************************************************************************
 * Copyright (c) 2016, 2018 fortiss GmbH.
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.model;

import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.mvc.impl.MVCBundleBase;

/** Interface for classes providing model changes to the {@link MVCBundleBase}s. */
public interface IModelChangeProvider {
	/** Adds the given listener. */
	public void addListener(IModelChangeListener l);

	/** Removes the given listener. */
	public void removeListener(IModelChangeListener l);

	/** Fires the change event to all listeners. */
	public void fireUpdateComplete();
}
