/*******************************************************************************
 * Copyright (c) 2017, 2018 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.model;

import static java.util.Collections.emptyList;

import java.util.List;

/** Base implementation for {@link IModelFactory}. */
public abstract class ModelFactoryBase implements IModelFactory {
	/** {@inheritDoc} */
	@Override
	public List<?> getContentModels() {
		return emptyList();
	}

	/** {@inheritDoc} */
	@Override
	public List<?> getDiagramAnchorageModels() {
		return emptyList();
	}

	/** {@inheritDoc} */
	@Override
	public List<?> getContentAnchorageModels(Object parent) {
		return emptyList();
	}

	/** {@inheritDoc} */
	@Override
	public List<?> getLinkModels() {
		return emptyList();
	}

	/** {@inheritDoc} */
	@Override
	public Object getLinkStart(Object link) {
		return null;
	}

	/** {@inheritDoc} */
	@Override
	public Object getLinkEnd(Object link) {
		return null;
	}

	/** {@inheritDoc} */
	@Override
	public Object getParent(Object element) {
		return null;
	}
}
