/*******************************************************************************
 * Copyright (c) 2018 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.model.layout;

/** {@link ILayout} defined by a sequence of X and Y coordinates. */
public interface IPointsLayout extends ILayout {
	/** Returns the number of points in the layout data. */
	int getNumberOfPoints();

	/**
	 * Returns the X coordinate of the point at the given index [0 <= index < getNumberOfPoints()].
	 */
	double getX(int index);

	/**
	 * Returns the Y coordinate of the point at the given index [0 <= index < getNumberOfPoints()].
	 */
	double getY(int index);
}
