/*******************************************************************************
 * Copyright (c) 2016, 2018 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.mvc;

import java.util.List;

/**
 * Interface for {@link IMVCBundle}s, which represent anchorages and thus can have directed links
 * attached to them.
 */
public interface IAnchorageMVCBundle extends IMVCBundle {
	/** Returns the {@link IMVCBundle} this anchorage is attached to. */
	IMVCBundle getAttachedTo();

	/** Returns the list of incoming links. */
	List<ILinkMVCBundle> getIncomingLinks();

	/** Returns the list of outgoing links. */
	List<ILinkMVCBundle> getOutgoingLinks();
}
