/*******************************************************************************
 * Copyright (c) 2016, 2018 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.mvc;

import java.util.List;

import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.visual.IContentVisual;

/** Interface for content elements of the diagram viewer. */
public interface IContentMVCBundle extends IMVCBundle {
	/** Returns the {@link IDiagramMVCBundle} this content is attached to. */
	IDiagramMVCBundle getDiagramBundle();

	/** Returns the list of attached anchorages. */
	List<IContentAnchorageMVCBundle> getAnchorages();

	/** Returns the children of this content bundle. */
	List<IContentMVCBundleWithParent> getChildren();

	/** {@inheritDoc} */
	@Override
	IContentVisual getVisual();
}
