/*******************************************************************************
 * Copyright (c) 2016, 2018 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.mvc.impl;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.DiagramViewer;
import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.mvc.IContentMVCBundle;
import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.mvc.IDiagramAnchorageMVCBundle;
import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.mvc.IDiagramMVCBundle;
import org.eclipse.systemfocus.kernel.common.ui.javafx.lwfxef.mvc.ILinkMVCBundle;

/** Implementation of {@link IDiagramMVCBundle}. */
public final class DiagramMVCBundle extends MVCBundleBase implements IDiagramMVCBundle {
	/** The list of content elements. */
	private final List<IContentMVCBundle> contents = new ArrayList<>();
	/** The list of link elements. */
	private final List<ILinkMVCBundle> links = new ArrayList<>();
	/** The list of attached anchorages. */
	private final List<IDiagramAnchorageMVCBundle> anchorages = new ArrayList<>();

	/** Constructor. */
	public DiagramMVCBundle(Object m, DiagramViewer v) {
		super(m, v);
	}

	/** {@inheritDoc} */
	@Override
	public void remove() {
		// nothing to do here
	}

	/** {@inheritDoc} */
	@Override
	public List<IContentMVCBundle> getContents() {
		return contents;
	}

	/** {@inheritDoc} */
	@Override
	public List<ILinkMVCBundle> getLinks() {
		return links;
	}

	/** {@inheritDoc} */
	@Override
	public List<IDiagramAnchorageMVCBundle> getAnchorages() {
		return anchorages;
	}
}
