/*******************************************************************************
 * Copyright (c) 2016, 2018 fortiss GmbH.
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.style;

import javafx.scene.paint.Color;

/** Base class for styles with a single {@link Color}. */
abstract class ColorStyleBase {
	/** The RGBA color. */
	private final Color rgbaColor;

	/** Constructor. */
	public ColorStyleBase(Color rgbaColor) {
		this.rgbaColor = rgbaColor;
	}

	/** Returns the RGBA color. */
	public final Color getColor() {
		return rgbaColor;
	}
}
