/*******************************************************************************
 * Copyright (c) 2016, 2018 fortiss GmbH.
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.util;

import javafx.geometry.Point2D;
import javafx.scene.control.Control;

/** Utility methods for computing {@link Control} positions. */
public final class ControlPositionUtils {
	/** Returns the global coordinate point of the node. */
	public static Point2D getGlobalCoordinate(Control control) {
		Point2D p = control.localToScene(0, 0);
		double x = p.getX() + control.getScene().getX() + control.getScene().getWindow().getX();
		double y = p.getY() + control.getScene().getY() + control.getScene().getWindow().getY();
		return new Point2D(x, y);
	}
}
