/*******************************************************************************
 * Copyright (c) 2018 fortiss GmbH. 
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *     Florian Hoelzl (fortiss GmbH) - initial implementation
 *
 *******************************************************************************/
package org.eclipse.systemfocus.kernel.common.ui.javafx.util;

import java.io.IOException;
import java.net.URL;

import org.eclipse.systemfocus.internal.kernel.common.ui.Activator;

import javafx.scene.image.Image;

/** Utility methods for accessing the shared dummy icon. */
public class DummyIconUtils {
	/** The shared instance of the dummy image. */
	private static Image dummyImage = null;

	/** Returns the image of the shared dummy icon. */
	public static Image getDummyIcon() {
		if(dummyImage == null) {
			try {
				String uri = "platform:/plugin/" + Activator.PLUGIN_ID + "/icons/dummy.png";
				URL url = new URL(uri);
				dummyImage = new Image(url.openStream());
			} catch(IOException ioex) {
				ioex.printStackTrace(System.err);
				dummyImage = null;
			}
		}
		return dummyImage;
	}
}
